Campaigns
Retrieve a campaign
Fetch a single campaign with its status, computed health, outcome counters, caller-ID configuration, schedule, and pause reason.
GET
/
api
/
v1
/
account
/
{account_id}
/
campaigns
/
{campaign_id}
Retrieve a campaign
curl --request GET \
--url https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id} \
--header 'X-Auth-ID: <x-auth-id>' \
--header 'X-Auth-Token: <api-key>'import requests
url = "https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}"
headers = {
"X-Auth-ID": "<x-auth-id>",
"X-Auth-Token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Auth-ID': '<x-auth-id>', 'X-Auth-Token': '<api-key>'}
};
fetch('https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));GET https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}
Authentication required
X-Auth-ID— your Vobiz account IDX-Auth-Token— your Vobiz auth token
string
required
Your Vobiz account ID. Use the same value in
X-Auth-ID.string
required
Your Vobiz account ID, for example
MA_XXXXXXXX.string
required
ID of the campaign, returned by Create a campaign.
Example
cURL
curl "https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}" \
-H "X-Auth-ID: {account_id}" \
-H "X-Auth-Token: {auth_token}"
Computed health
For a running campaign,health is derived from recent dial activity.
| Value | Meaning |
|---|---|
active | Calls are being placed. |
idle | Running but not currently dialling — for example while account capacity is saturated. |
stalled | No recent dial beyond the watchdog threshold. |
not_started | No dial has occurred yet. |
paused status.Was this page helpful?
⌘I
Retrieve a campaign
curl --request GET \
--url https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id} \
--header 'X-Auth-ID: <x-auth-id>' \
--header 'X-Auth-Token: <api-key>'import requests
url = "https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}"
headers = {
"X-Auth-ID": "<x-auth-id>",
"X-Auth-Token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Auth-ID': '<x-auth-id>', 'X-Auth-Token': '<api-key>'}
};
fetch('https://api.vobiz.ai/api/v1/account/{account_id}/campaigns/{campaign_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));